[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldDef.DataType

Data type for the field

## Declaration

Source position: db.pas line 197

`published property TFieldDef.DataType : TFieldType read FDataType write SetDataType;`

## Description

DataType contains the data type of the field's contents. Based on this property, the FieldClass property determines what kind of field class mustbe used to represent this field.

## See also

TFieldDef.FieldClass |  | TField class used for this fielddef
TFieldDef.CreateField |  | Create TField instance based on definitions in current TFieldDef instance.

Documentation generated on: Feb 26 2014